## org.eclipse.emf.validation.service
Interface IValidationListener

All Superinterfaces:
  EventListener

    public interface IValidationListener

extends EventListener

Interface implemented by clients who wish to receive notification whenever validation operations are performed.

Method Summary
`void` `validationOccurred(ValidationEvent event)` Notifies me that a validation operation has been completed.

Method Detail

### validationOccurred

    void validationOccurred(ValidationEvent event)

  Notifies me that a validation operation has been completed. The event provides information about whether the validation was a batch or live mode operation, and what the results were.

  Parameters:
    `event` - provides the validation operation results

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.